<!DOCTYPE html>
<html lang="en">
<head>
    <!-- Licensed under Creative Commons CC0.-->
    <!--     To the extent possible under law, the author(s) have dedicated all copyright and related and-->
    <!-- neighboring rights to this software to the public domain worldwide.-->
    <!--     This software is distributed without any warranty.-->
    <!--     You should have received a copy of the CC0 Public Domain Dedication along with this software.-->
    <!--     If not, see <https://creativecommons.org/publicdomain/zero/1.0/legalcode>.-->
    <meta charset="UTF-8">
    <link rel="icon" href="/logo.png" type="image/png">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Show My Card℠</title>
    <!-- Style starts here -->
    <style>
        .quartzads {
            position: relative;
            display: inline-block;
            border: 4px solid darkorchid;
            margin: 20px;
        }
        .quartzads::after {
            font-family: system-ui;
            font-size: small;
            content: 'www.showmycard.com℠';
            position: absolute;
            top: 100%;
            left: 50%;
            transform: translateX(-50%);
            padding: 4px;
            background: transparent;
            color: transparent;
        }
        .quartzads::before {
            font-family: system-ui;
            font-size: small;
            content: '🐞 Sponsored by';
            position: absolute;
            bottom: 100%;
            left: 50%;
            transform: translateX(-50%);
            padding: 4px;
            background: transparent;
            color: transparent;
        }
        .quartzads img {
            display: block;
            width: 100%;
            height: auto;
        }
    </style>
    <!-- Style ends here -->
</head>
<body>
<!-- Script starts here -->
<script>
    const clicked = function (elem, url) {
        if (url.indexOf('utm_source')===-1) {
            let utms = '?utm_source='+elem.id+'&utm_medium=showmycardcom&utm_campaign=funding2023'+'&utm_content=sitename'
            if (url.indexOf('?')!==-1) {
                utms = '&'+utms.substring(1)
            }
            if (url.indexOf('utm_source')===-1) {
                url = url+utms
            }
        }
        window.open(url,'_self');
        let englang = elem.id+': Element clicked forwarding to ' + url + ' now. Event time was '+new Date().toLocaleString('en-us',{timeZoneName:'short'})+' local.'
        console.log(englang);
        fetch(window.origin+'/log', {
            method: 'PUT',
            body: englang
        })
            //.then(response => response.json())
            .then(data => {
                console.log(data);
            })
            .catch(error => {
                console.error('Error:', error);
            });
    }
    function impression(elem) {
        // Function to be called when the intersection changes
        function handleIntersection(entries, observer) {
            entries.forEach(entry => {
                // If entry (element) is in the viewport
                if (entry.isIntersecting) {
                    let englang = entry.target.id+': Element became visible in the browser window now. Event time was '+new Date().toLocaleString('en-us',{timeZoneName:'short'})+' local.'
                    console.log(englang);
                    fetch(window.origin+'/log', {
                        method: 'PUT',
                        body: englang
                    })
                        //.then(response => response.json())
                        .then(data => {
                            console.log(data);
                        })
                        .catch(error => {
                            console.error('Error:', error);
                        });
                }
            });
        }

        // Create a new Intersection Observer instance
        const observer = new IntersectionObserver(handleIntersection);

        // Target element to observe
        const targetElement = document.getElementById(elem.id);

        // Start observing the target element
        observer.observe(targetElement);
    }

    let elements = document.getElementsByClassName('quartzadsimg')
    for (let i = 0; i < elements.length; i++) {
        impression(elements[i]);
    }
    console.log('Watching impressions now.')
</script>
<!-- Script ends here -->
<div class="quartzads" aria-label="Description of the image">
    <img id='buffercf3b2' src="img.png" alt="Descriptive text" style="width: 2in;height: auto;" onload="impression(event.target)" onclick="clicked(event.target, 'https://magazine.foundersreview.us/')">
    <button style="position:absolute;top:90%;right:1%;opacity:70%;font-size: xx-small;text-align: right;color: darkorchid;font-family: system-ui" onclick="fetch('/'+window.location.search);">Report</button>
</div>
</body>
</html>
